Submit Project Assignment Checkin Questionnaire Data
Use this endpoint to submit the checkin questionnaire. It is necessary to send all required questionnaire answers.
Token scopes: contracts:read, contracts:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
The unique identifier of the contract.
Request
Payload for submitting employee or client form answers.
data
Form submission payload containing respondent type, question answers, and optional version.
Response
No content. The request was successful, but there is no response body.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error